#ifndef BASKET_REFLECTION_HPP
#define BASKET_REFLECTION_HPP

#include "reflection_impl.hpp"

#define BK_REGISTER_COMPONENT(COMPONENT_NAME,...) BK_REGISTER_COMPONENT_IMPL(COMPONENT_NAME, __VA_ARGS__)
#define BK_REGISTER_SYSTEM(SYSTEM_NAME) BK_REGISTER_SYSTEM(SYSTEM_NAME)

#endif